#if !defined(AFX_PROPERTYPAGE_H__7F4C81E2_B51D_4CBD_84DA_4246C6645930__INCLUDED_)
#define AFX_PROPERTYPAGE_H__7F4C81E2_B51D_4CBD_84DA_4246C6645930__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PropertyPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPropertyPage1 dialog

class CSampleDlg;

class CPropertyPage1 : public CPropertyPage
{
	DECLARE_DYNCREATE(CPropertyPage1)

// Construction
public:
	CPropertyPage1();
	~CPropertyPage1();

	void SetOwnerDlg (CSampleDlg* pOwnerDlg);

// Dialog Data
	//{{AFX_DATA(CPropertyPage1)
	enum { IDD = IDD_PROPS1 };
	CComboBox m_cbImageSize;
	CComboBox m_cbImageQuality;
	CComboBox m_cbWhiteBalance;
	CComboBox m_cbFlashMode;
	CComboBox m_cbRedEye;
	CComboBox m_cbFlashComp;
	CComboBox m_cbISOSpeed;
	CComboBox m_cbAV;
	CComboBox m_cbTV;
	CComboBox m_cbExposureComp;
	CComboBox m_cbAFMode;
	CComboBox m_cbFocusingZone;
	CComboBox m_cbMeteringMode;
	CComboBox m_cbShootingMode;
	CComboBox m_cbBatteryLevel;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPropertyPage1)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPropertyPage1)
	afx_msg void OnSelendokPropImageSize();
	afx_msg void OnSelendokPropImageQuality();
	afx_msg void OnSelendokPropWhiteBalance();
	afx_msg void OnSelendokPropFlashMode();
	afx_msg void OnSelendokPropRedEye();
	afx_msg void OnSelendokPropFlashComp ();
	afx_msg void OnSelendokPropISOSpeed();
	afx_msg void OnSelendokPropAV();
	afx_msg void OnSelendokPropTV();
	afx_msg void OnSelendokPropExposureComp();
	afx_msg void OnSelendokPropAFMode();
	afx_msg void OnSelendokPropFocusingZone();
	afx_msg void OnSelendokPropMeteringMode();
	afx_msg void OnSelendokPropShootingMode();
	afx_msg void OnSelendokPropBatteryLevel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CSampleDlg*	m_pOwnerDlg;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPERTYPAGE_H__7F4C81E2_B51D_4CBD_84DA_4246C6645930__INCLUDED_)
